Subject: bug#7877: sleep takes undocumented hex args

From: Eric Blake <[email-masked]>
Date: Fri, 21 Jan 2011 07:59:28 -0700

On 01/21/2011 07:57 AM, Jim Meyering wrote:
>> Floating point literals include hex-floats, such as 0x1p1.  Does today's
>> added pre-filtering to reject 0x1 accidentally also reject hex-float
>> literals?  (It's a bit of a shame that when hex-floats were added that
>> strtod() was altered to accept hex-float literals but as a side effect
>> it also started accepting hexadecimal values without the p[+-]?[0-9]+
>> exponent suffix).
> 
> I see no significant utility in accepting hex floats.  Do you?

No, and rejecting them is fine with me, although our documentation
should be tweaked to be clear that we don't accept _all_ floating point
literals, but just those with optional e[+-]?[0-9]+ suffix.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org